View Issue Details

IDProjectCategoryView StatusLast Update
00283622.x IDE BugsRoom EditorPublic2018-12-14 10:14
ReporterAlexander BorupAssigned ToCoreTech 
PriorityLowSeverityC - GeneralReproducibility100%
Status AssignedResolutionReopened 
Product VersionPre-2.1.3 
Target VersionFixed in Version 
Summary0028362: Room Editor: Zooming zooms off if zoom is zooming when changing workspace (gif)
DescriptionI stumbled on this by accident. It seems that zooming relies on the room editor (workspace?) being visible, and if you change to another workspace it'll go crazy and zoom/pan too far.

See attached gif.
Steps To Reproduce1. Do something that causes the room editor to zoom/pan to a gadget
2. Quickly switch workspace
3. Go back to the room editor and see that the view is in a weird place
TagsIDE, RoomEditor
2.x IDE Found In2.1.2.257
2.x Runtime Found In2.1.2.172
2.x IDE Verified In
2.x Runtime Verified In

Activities

Alexander Borup

2017-11-20 09:44

Developer  

zoombug.gif (362,016 bytes)

Dan

2017-11-21 08:54

Adminstrator   ~0056713

Wonder if this is the source of that long-term "room has reopened at -20k, -20k" bug we have not been able to resolve.

Alexander Borup

2018-05-17 14:42

Developer   ~0059802

Re: Dan's comment. No - I fixed that a long time ago because it was getting on my nerves... and it was very easy to see what was wrong in the code